#
# spec file for package qrouter
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:			qrouter
Version:		1.2.35
Release:		lp150.1.1
License:		GPL-2.0
Summary:		Detail netlist router for ASICs
Group:			Applications/Engineering
Url:			http://opencircuitdesign.com/qrouter
Source:			http://opencircuitdesign.com/qrouter/archive/qrouter-1.2.35.tgz
BuildRequires:		gcc, gcc-c++, glibc-devel

BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
Qrouter is a tool to generate metal layers and vias to physically connect together a netlist
in a VLSI fabrication technology. It is a maze router, otherwise known as an "over-the-cell"
router or "sea-of-gates" router. That is, unlike a channel router, it begins with a description
of placed standard cells, usually packed together at minimum spacing, and places metal routes
over the standard cells.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}

# Silence the totally braindead rpmlint. At least partially.
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/usr/bin/qrouter
%doc README COPYRIGHT VERSION

%changelog
* Tue Dec 8 2015 David Lanzendörfer <david.lanzendoerfer@o2s.ch> - qrouter
- Initial build.
